Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.engine
Class DocumentBuilderContainedEntity.PropertiesMetadata

    java.lang.Object
      org.hibernate.search.engine.DocumentBuilderContainedEntity.PropertiesMetadata

Enclosing class:
  DocumentBuilderContainedEntity<T>

    protected static class DocumentBuilderContainedEntity.PropertiesMetadata

extends java.lang.Object

Wrapper class containing all the meta data extracted out of a single entity. All field/property related properties are kept in lists. Retrieving all metadata for a given property/field means accessing all the lists with the same index.

Nested Class Summary
`static class` | `DocumentBuilderContainedEntity.PropertiesMetadata.Container`

Field Summary
`org.apache.lucene.analysis.Analyzer` | `analyzer`
`float` | `boost`
`java.util.List<java.lang.Float>` | `classBoosts`
`BoostStrategy` | `classBoostStrategy`
`java.util.List<FieldBridge>` | `classBridges`
`java.util.List<org.apache.lucene.document.Field.Index>` | `classIndexes`
`java.util.List<java.lang.String>` | `classNames`
`java.util.List<Store>` | `classStores`
`java.util.List<org.apache.lucene.document.Field.TermVector>` | `classTermVectors`
`java.util.List<org.hibernate.annotations.common.reflection.XMember>` | `containedInGetters`
`Discriminator` | `discriminator`
`org.hibernate.annotations.common.reflection.XMember` | `discriminatorGetter`
`java.util.List<BoostStrategy>` | `dynamicFieldBoosts`
`java.util.List<DocumentBuilderContainedEntity.PropertiesMetadata.Container>` | `embeddedContainers`
`java.util.List<org.hibernate.annotations.common.reflection.XMember>` | `embeddedGetters`
`java.util.List<DocumentBuilderContainedEntity.PropertiesMetadata>` | `embeddedPropertiesMetadata`
`java.util.List<java.lang.Float>` | `fieldBoosts`
`java.util.List<FieldBridge>` | `fieldBridges`
`java.util.List<org.hibernate.annotations.common.reflection.XMember>` | `fieldGetters`
`java.util.List<org.apache.lucene.document.Field.Index>` | `fieldIndex`
`java.util.List<java.lang.String>` | `fieldNames`
`java.util.List<Store>` | `fieldStore`
`java.util.List<org.apache.lucene.document.Field.TermVector>` | `fieldTermVectors`

Constructor Summary
`protected` | `DocumentBuilderContainedEntity.PropertiesMetadata()`

Method Summary
`protected float` | `getClassBoost(java.lang.Object value)`
`protected LuceneOptions` | `getClassLuceneOptions(int i)`
`protected LuceneOptions` | `getFieldLuceneOptions(int i, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### boost

    public float boost

### analyzer

    public org.apache.lucene.analysis.Analyzer analyzer

### discriminator

    public Discriminator discriminator

### discriminatorGetter

    public org.hibernate.annotations.common.reflection.XMember discriminatorGetter

### classBoostStrategy

    public BoostStrategy classBoostStrategy

### fieldNames

    public final java.util.List<java.lang.String> fieldNames

### fieldGetters

    public final java.util.List<org.hibernate.annotations.common.reflection.XMember> fieldGetters

### fieldBridges

    public final java.util.List<FieldBridge> fieldBridges

### fieldStore

    public final java.util.List<Store> fieldStore

### fieldIndex

    public final java.util.List<org.apache.lucene.document.Field.Index> fieldIndex

### fieldBoosts

    public final java.util.List<java.lang.Float> fieldBoosts

### dynamicFieldBoosts

    public final java.util.List<BoostStrategy> dynamicFieldBoosts

### fieldTermVectors

    public final java.util.List<org.apache.lucene.document.Field.TermVector> fieldTermVectors

### embeddedGetters

    public final java.util.List<org.hibernate.annotations.common.reflection.XMember> embeddedGetters

### embeddedPropertiesMetadata

    public final java.util.List<DocumentBuilderContainedEntity.PropertiesMetadata> embeddedPropertiesMetadata

### embeddedContainers

    public final java.util.List<DocumentBuilderContainedEntity.PropertiesMetadata.Container> embeddedContainers

### containedInGetters

    public final java.util.List<org.hibernate.annotations.common.reflection.XMember> containedInGetters

### classNames

    public final java.util.List<java.lang.String> classNames

### classStores

    public final java.util.List<Store> classStores

### classIndexes

    public final java.util.List<org.apache.lucene.document.Field.Index> classIndexes

### classBridges

    public final java.util.List<FieldBridge> classBridges

### classTermVectors

    public final java.util.List<org.apache.lucene.document.Field.TermVector> classTermVectors

### classBoosts

    public final java.util.List<java.lang.Float> classBoosts

Constructor Detail

### DocumentBuilderContainedEntity.PropertiesMetadata

    protected DocumentBuilderContainedEntity.PropertiesMetadata()

Method Detail

### getClassLuceneOptions

    protected LuceneOptions getClassLuceneOptions(int i)

### getFieldLuceneOptions

    protected LuceneOptions getFieldLuceneOptions(int i,
                                                  java.lang.Object value)

### getClassBoost

    protected float getClassBoost(java.lang.Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.